WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

qTranslate X

Adds a user-friendly multilingual dynamic content management.

Important: Read migration instructions, if you previously used other multilingual plugin, otherwise initial installation of this plugin is no different from any other standard plugin:

Very Important: Whenever you update the plugin, make sure to deactivate the previous version and then activate the new one. Normal WordPress update does that, and should be sufficient, but if you overwrote plugin files manually, be sure to execute deactivation/activation cycle, otherwise you will miss the execution of activation hooks and some options may become misconfigured. for For the sake of performance, plugin is not programmed to run all the necessary checks every time it is loaded, since activation hook is an expensive operation. That is why it is important to execute deactivation/activation cycle.

Otherwise the installation is similar to any other WordPress plugin:

  1. Download the plugin from WordPress or take the latest development version from GitHub.
  2. Use WordPress /wp-admin/plugin-install.php page to install a plugin or extract all the files and upload everything (keeping the directory structure) to the /wp-content/plugins/ directory.
  3. Deactivate plugin qTranslate, mqTranslate, qTranslate Plus, zTranslate or any other multilingual plugin, if you are running any.
  4. Activate qTranslate-X through the 'Plugins' (/wp-admin/plugins.php) configuration page in WordPress.
  5. Open Settings->Languages configuration page and add/delete/disable any languages you need.
  6. Add the "qTranslate Language Chooser" widget or "Language Switcher" menu item to let your visitors switch the language.
  7. For the new installers, it may be useful to read Startup Guide.
  8. Configure theme or other plugins custom fields to be translatable if needed (Settings -> Languages: "Integration").
  9. If your theme shows multilingual fields in raw format, then read Integration Guide.

Requires: 3.9 or higher
Compatible up to: 4.5.5
Last Updated: 8 months ago
Active Installs: 100,000+

Ratings

4.8 out of 5 stars

Support

10 of 75 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Works!

5 people say it works.
2 people say it's broken.

0,1,0
100,1,1
100,1,1
100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,2,2 100,2,2 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 88,8,7 100,4,4 100,1,1 100,2,2 100,1,1 100,2,2 100,1,1 100,1,1 100,4,4 100,4,4
100,6,6 88,8,7 100,6,6 100,6,6 100,9,9 90,10,9 93,14,13 100,4,4 100,4,4
100,5,5 100,4,4 100,4,4
100,4,4 100,4,4 100,4,4
100,4,4 100,4,4 100,4,4
100,4,4
100,1,1
100,8,8 100,4,4 100,4,4 100,1,1
88,8,7 100,10,10 100,4,4 100,1,1 100,1,1
88,16,14 100,6,6 100,5,5 100,6,6 100,1,1 100,1,1
100,5,5 100,5,5 100,1,1
88,8,7 100,1,1 100,4,4
100,4,4
100,2,2 88,8,7 100,4,4
100,1,1 100,9,9 86,7,6 100,7,7 100,9,9 91,11,10
100,10,10
100,6,6
92,12,11
38,13,5 100,4,4 100,5,5
100,1,1 100,4,4 100,6,6
100,5,5 100,7,7
100,10,10
78,9,7
100,10,10
100,7,7
71,7,5